<%-- 
    Document   : exportarHorarioDocenteCompletoDisponibilidad
    Created on : 28-nov-2018, 16:30:39
    Author     : sistem20user
--%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@page import="pe.siso.horario.Services.HorarioServices"%>
<%@page import="org.json.JSONArray"%>
<%@page import="org.json.JSONObject"%>
<%@page import="java.util.*"%>
<!DOCTYPE html>
<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<title>JSP Page</title>		
		<style>
			td,th {
				padding: 10px
			}
		</style>
	</head>
	<body>
			<strong>Leyenda</strong>
			<p>Cuadros Rojos : Sin disponibilidad</p>
		<%
		String plana = request.getParameter("plana");
    String periodo = request.getParameter("periodo");
		String correoDocente="";
		String direccionDocente="";
		String celularDocente="";
		String distrito="";
		
		
    HorarioServices servicios = new HorarioServices();
		
		JSONObject jparam=new JSONObject();
		
		jparam.put("codigoPeriodo",periodo);
		jparam.put("codigoPlana",plana);
		
		
		JSONObject objeto=servicios.listarVistaDobleDisponibilidad(jparam);
		
		JSONArray arrayPersona = objeto.getJSONArray("data");
		
	  response.setContentType("application/vnd.ms-excel; ");
    response.setHeader("Content-Disposition","attachment; filename=UsuarioDocente.xls");
	
		for(Object objetoPersona : arrayPersona){
			
			JSONObject dataPersona=(JSONObject)objetoPersona;
			
			//cabecera
			String nombreDocente=dataPersona.getString("nombre");
			
			
			if(dataPersona.has("correo")){
			correoDocente=dataPersona.getString("correo");
			}
			
			if(dataPersona.has("direccion")){
				direccionDocente=dataPersona.getString("direccion");
			
			}
			if(dataPersona.has("celular")){
				celularDocente=dataPersona.getString("celular");
			}
			
			if(dataPersona.has("distrito")){
				distrito=dataPersona.getString("distrito");
			}
			

	
			
			
			String examen=dataPersona.isNull("examen")?"":dataPersona.getString("examen");
			String notaEncuesta=dataPersona.isNull("notaEncuesta")?"":dataPersona.getString("notaEncuesta");
			String promedioPlana=dataPersona.isNull("promedioPlana")?"":dataPersona.getString("promedioPlana");
			String promedio=dataPersona.isNull("promedio")?"":dataPersona.getString("promedio");
		
		ArrayList<String> diaM = new ArrayList<String>();
		ArrayList<String> diaT = new ArrayList<String>();
		ArrayList<Object> aulaM = new ArrayList<Object>();
		ArrayList<Object> aulaT = new ArrayList<Object>();
		
		if(!dataPersona.isNull("disponibilidad")){
			String [] disponibilidad  = dataPersona.getString("disponibilidad").split("-");
			for(int i= 0; i < disponibilidad.length; i++){
				String turno = disponibilidad[i].split("#")[0];
				String dia = disponibilidad[i].split("#")[1];

				if(turno.equals("1")){
					diaM.add(dia);
				} else if(turno.equals("2")){
					diaT.add(dia);
				}
			}
		}
		
		
		if(!dataPersona.isNull("arrayAulas")){
			JSONArray array = dataPersona.getJSONArray("arrayAulas");
			
			for(Object obj : array){				
				JSONObject aula = (JSONObject) obj;
				
				if(aula.getString("turno").equals("1")){
					aulaM.add(aula);
				}else if(aula.getString("turno").equals("2")){
					aulaT.add(aula);
				}
			}
			
		}
			
			String borderT="style='border:solid 0.5pt #000000;vertical-align:middle; background-color:#307ECC;color:white;' ";
			String borderTD="style='border:solid 0.5pt #000000;vertical-align:middle; background-color:#FFCC99;' ";
			String border="style='border:solid 0.5pt #000000;vertical-align:middle;'";
			
		
		%>

		<table border="2">
			<tr> 
				<td colspan="7" height='10'> </td>
			</tr> 
			<tr>
				<td colspan="2" <%=borderT%> ><b>DOCENTE:</b></td>
				<td colspan="2"   <%=border%>><font><b><%=nombreDocente%></b></font></td>
				<td colspan="1" <%=borderT%> ><b>CORREO:</b></td>
				<td colspan="2" <%=border%> ><font><b><%=correoDocente%></b></font></td>
			</tr> 
			<tr>

				<td colspan="2" <%=borderT%> ><b>CELULAR:</b></td>
				<td colspan="2" <%=border%> align='left'><font><b><%=celularDocente%></b></font></td>
				<td colspan="1" <%=borderT%> ><b>DISTRITO:</b></td>
				<td colspan="2" <%=border%> ><font><b><%=distrito%></b></font></td>
			</tr> 

			<tr>
				<td colspan="2" <%=borderT%> height='70' ><b>DIRECCIÓN:</b></td>
				<td colspan="2" <%=border%> ><font><b><%=direccionDocente%></b></font></td>
			</tr>
			<tr>
				<td colspan="2" <%=borderT%> height='70' ><b>NOTAS:</b></td>
				<td colspan="1" <%=border%> ><font>Examen :<b><%=examen%></b></font></td>
				<td colspan="1" <%=border%> ><font>Nota Encuesta: <b><%=notaEncuesta%></b></font></td>
				<td colspan="1" <%=border%> ><font>Promedio Plana :<b><%=promedioPlana%></b></font></td>
				<td colspan="1" <%=borderT%> height='70' ><b>Promedio General:</b></td>
				<td colspan="1" <%=border%> ><font><b><%=promedio%></b></font></td>
			</tr>
			<tr> 
				<td height='10'  colspan="7" ></td>
			</tr> 
		
				<tr>
					<th <%=borderT%>>TURNO</th>
					<th <%=borderT%>>LUNES</th>
					<th <%=borderT%>>MARTES</th>
					<th <%=borderT%>>MIERCOLES</th>
					<th <%=borderT%>>JUEVES</th>
					<th <%=borderT%>>VIERNES</th>
					<th <%=borderT%>>SABADO</th>
				</tr>
		
			<tbody>
				<tr>
					<td <%=borderTD%>>M</td>
					<%						
						for(int i=0;i<6;i++){
							String x="#FFC7CE";			
							if(diaM.contains(String.valueOf(i+1))){
								x="";
							}
							
							String horario = "";
							
							for(Object obj:aulaM){
								JSONObject hr=(JSONObject)obj;
								if(hr.getString("dia").equals(String.valueOf(i+1))){
									horario += hr.getString("sede") + " | " + hr.getString("aulas") + " \n";
								}							
							}
					%>
					<td bgcolor="<%=x%>" height='90' width='140' align='center' style="vertical-align:middle"><font size="1"><b><%=horario%></b></font></td>
							<%
								}
							%>
				</tr>				
				<tr>
					<td <%=borderTD%>>T</td>
					<%
						
						for(int i=0;i<6;i++){
							String x="#FFC7CE";						
							if(diaM.contains(String.valueOf(i+1))){
								x="";
							}
							String horario = "";
							
							for(Object obj:aulaT){
								JSONObject hr=(JSONObject)obj;
								if(hr.getString("dia").equals(String.valueOf(i+1))){
									horario += hr.getString("sede") + " | " + hr.getString("aulas") + " \n";
								}							
							}
							

					%>
					<td bgcolor="<%=x%>" height='50' width='140' align='center' style="vertical-align:middle"><font size="1"><b><%=horario%></b></font></td>
							<%
								}
							%>
				</tr>				
			</tbody>
		
		</table>
				<br>
				<br>
		<%
			}
		%>
	</body>
</html>
